﻿'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'     Runtime Version:4.0.30319.1008
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------

Imports System

Namespace My.Resources
    
    'This class was auto-generated by the StronglyTypedResourceBuilder
    'class via a tool like ResGen or Visual Studio.
    'To add or remove a member, edit your .ResX file then rerun ResGen
    'with the /str option, or rebuild your VS project.
    '''<summary>
    '''  A strongly-typed resource class, for looking up localized strings, etc.
    '''</summary>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("System.Resources.Tools.StronglyTypedResourceBuilder", "4.0.0.0"),  _
     Global.System.Diagnostics.DebuggerNonUserCodeAttribute(),  _
     Global.System.Runtime.CompilerServices.CompilerGeneratedAttribute()>  _
    Friend Class Errors
        
        Private Shared resourceMan As Global.System.Resources.ResourceManager
        
        Private Shared resourceCulture As Global.System.Globalization.CultureInfo
        
        <Global.System.Diagnostics.CodeAnalysis.SuppressMessageAttribute("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")>  _
        Friend Sub New()
            MyBase.New
        End Sub
        
        '''<summary>
        '''  Returns the cached ResourceManager instance used by this class.
        '''</summary>
        <Global.System.ComponentModel.EditorBrowsableAttribute(Global.System.ComponentModel.EditorBrowsableState.Advanced)>  _
        Friend Shared ReadOnly Property ResourceManager() As Global.System.Resources.ResourceManager
            Get
                If Object.ReferenceEquals(resourceMan, Nothing) Then
                    Dim temp As Global.System.Resources.ResourceManager = New Global.System.Resources.ResourceManager("OasysDBBO.Errors", GetType(Errors).Assembly)
                    resourceMan = temp
                End If
                Return resourceMan
            End Get
        End Property
        
        '''<summary>
        '''  Overrides the current thread's CurrentUICulture property for all
        '''  resource lookups using this strongly typed resource class.
        '''</summary>
        <Global.System.ComponentModel.EditorBrowsableAttribute(Global.System.ComponentModel.EditorBrowsableState.Advanced)>  _
        Friend Shared Property Culture() As Global.System.Globalization.CultureInfo
            Get
                Return resourceCulture
            End Get
            Set
                resourceCulture = value
            End Set
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to Config file not found.
        '''</summary>
        Friend Shared ReadOnly Property ConfigNotFound() As String
            Get
                Return ResourceManager.GetString("ConfigNotFound", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to Problem encountered loading database connection values. See application log for details.
        '''</summary>
        Friend Shared ReadOnly Property ConnectionLoad() As String
            Get
                Return ResourceManager.GetString("ConnectionLoad", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to WHERE columns exist without matching values.
        '''</summary>
        Friend Shared ReadOnly Property MismatchWhereColumns() As String
            Get
                Return ResourceManager.GetString("MismatchWhereColumns", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to The number of WHERE columns does not match the number of WHERE matching values.
        '''</summary>
        Friend Shared ReadOnly Property MismatchWhereColumnsValues() As String
            Get
                Return ResourceManager.GetString("MismatchWhereColumnsValues", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to No table columns defined. Use &apos;SetColumnParameter&apos; to set column names.
        '''</summary>
        Friend Shared ReadOnly Property NoColumnsDefined() As String
            Get
                Return ResourceManager.GetString("NoColumnsDefined", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to No table column values defined. Use &apos;SetColumnValueParameter&apos; to set column values.
        '''</summary>
        Friend Shared ReadOnly Property NoColumnValuesDefined() As String
            Get
                Return ResourceManager.GetString("NoColumnValuesDefined", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to At least one datasource must be specified.
        '''</summary>
        Friend Shared ReadOnly Property NoDatasource() As String
            Get
                Return ResourceManager.GetString("NoDatasource", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to Query string cannot be empty.
        '''</summary>
        Friend Shared ReadOnly Property NoQueryString() As String
            Get
                Return ResourceManager.GetString("NoQueryString", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to No table defined. Use the property &apos;SetTableParameter&apos; to set the table name.
        '''</summary>
        Friend Shared ReadOnly Property NoTableDefined() As String
            Get
                Return ResourceManager.GetString("NoTableDefined", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to ODBC connection error encountered. See application log for details.
        '''</summary>
        Friend Shared ReadOnly Property OdbcConnectionError() As String
            Get
                Return ResourceManager.GetString("OdbcConnectionError", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to Problem performing delete command.
        '''</summary>
        Friend Shared ReadOnly Property ProblemDelete() As String
            Get
                Return ResourceManager.GetString("ProblemDelete", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to Problem formatting value.
        '''</summary>
        Friend Shared ReadOnly Property ProblemFormattingValue() As String
            Get
                Return ResourceManager.GetString("ProblemFormattingValue", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to Problem generating sql statement.
        '''</summary>
        Friend Shared ReadOnly Property ProblemGeneratingSql() As String
            Get
                Return ResourceManager.GetString("ProblemGeneratingSql", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to Problem loading CTS matches.
        '''</summary>
        Friend Shared ReadOnly Property ProblemLoadCtsMatches() As String
            Get
                Return ResourceManager.GetString("ProblemLoadCtsMatches", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to Problem performing select command.
        '''</summary>
        Friend Shared ReadOnly Property ProblemSelect() As String
            Get
                Return ResourceManager.GetString("ProblemSelect", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to Problem retrieving sql server dataset.
        '''</summary>
        Friend Shared ReadOnly Property sqlServerGetDataset() As String
            Get
                Return ResourceManager.GetString("sqlServerGetDataset", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to No sql server connection string defined. Please check the Oasys3.config file.
        '''</summary>
        Friend Shared ReadOnly Property SqlServerNoConnectionString() As String
            Get
                Return ResourceManager.GetString("SqlServerNoConnectionString", resourceCulture)
            End Get
        End Property
    End Class
End Namespace
